## qbittorrent 4.2.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9 FATAL_ERROR)

message(AUTHOR_WARNING "If the build fails, please try the autotools/qmake method.")

if(POLICY CMP0074)
    cmake_policy(SET CMP0074 NEW)
endif()

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules)
include(FunctionReadVersion)

read_version("${CMAKE_CURRENT_SOURCE_DIR}/version.pri" VER_MAJOR VER_MINOR VER_BUGFIX VER_BUILD VER_STATUS)
# message(STATUS "Project version is: ${VER_MAJOR}.${VER_MINOR}.${VER_BUGFIX}.${VER_BUILD} (${VER_STATUS})")

project(qBittorrent VERSION ${VER_MAJOR}.${VER_MINOR}.${VER_BUGFIX}.${VER_BUILD})

set(PROJECT_VERSION "${VER_MAJOR}.${VER_MINOR}.${VER_BUGFIX}")

if (NOT VER_BUILD EQUAL 0)
    set(PROJECT_VERSION "${PROJECT_VERSION}.${VER_BUILD}")
endif()

set(PROJECT_VERSION "${PROJECT_VERSION}${VER_STATUS}")

add_definitions(-DQBT_VERSION_MAJOR=${VER_MAJOR})
add_definitions(-DQBT_VERSION_MINOR=${VER_MINOR})
add_definitions(-DQBT_VERSION_BUGFIX=${VER_BUGFIX})
add_definitions(-DQBT_VERSION_BUILD=${VER_BUILD})

add_definitions(-DQBT_VERSION="v${PROJECT_VERSION}")
add_definitions(-DQBT_VERSION_2="${PROJECT_VERSION}")

include(GNUInstallDirs)
include(FeatureSummary)

# version requirements
set(requiredBoostVersion 1.40)
set(requiredQtVersion 5.9.0)
set(requiredOpensslVersion 1.0)
set(requiredLibtorrentVersion 1.1.10)

if(WIN32)
    include(winconf)
endif(WIN32)


# we need options here, at the top level, because they are used not only in "src" subdir, but in the "dist" dir too
include(CompileFeature)

optional_compile_definitions(COUNTRIES_RESOLUTION FEATURE DESCRIPTION "Enable resolving peers IP addresses to countries"
    DEFAULT ON DISABLED DISABLE_COUNTRIES_RESOLUTION)
optional_compile_definitions(STACKTRACE FEATURE DESCRIPTION "Enable stacktraces"
    DEFAULT ON ENABLED STACKTRACE)
optional_compile_definitions(WEBUI FEATURE DESCRIPTION "Enables built-in HTTP server for headless use"
    DEFAULT ON DISABLED DISABLE_WEBUI)

add_subdirectory(src)
add_subdirectory(dist)

feature_summary(DESCRIPTION "\nConfiguration results:" WHAT ALL)

=== src/CMakeLists.txt ===
set(CMAKE_CXX_STANDARD_REQUIRED True)

# If C++14 is available, use it as libtorent ABI depends on 11/14 version
if (cxx_std_14 IN_LIST CMAKE_CXX_COMPILE_FEATURES)
    message(STATUS "Building in C++14 mode")
    set(CMAKE_CXX_STANDARD "14")
else()
    message(STATUS "Building in C++11 mode")
    set(CMAKE_CXX_STANDARD "11")
endif()

include(MacroQbtCompilerSettings)
qbt_set_compiler_options()

include(QbtTargetSources)

find_package(Boost ${requiredBoostVersion} REQUIRED)
find_package(LibtorrentRasterbar ${requiredLibtorrentVersion} REQUIRED)
find_package(OpenSSL ${requiredOpensslVersion} REQUIRED)

if (Boost_VERSION VERSION_LESS 106000)
    add_definitions(-DBOOST_NO_CXX11_RVALUE_REFERENCES)
endif()

find_package(Qt5 ${requiredQtVersion} REQUIRED COMPONENTS Core Network Xml LinguistTools)
find_package(Qt5Widgets ${requiredQtVersion})
if (Qt5Widgets_FOUND)
    find_package(Qt5DBus ${requiredQtVersion})
else()
    add_definitions(-DDISABLE_GUI)
endif()

set_package_properties(Qt5Widgets PROPERTIES
    DESCRIPTION "Set of components for creating classic desktop-style UIs for the Qt5 framework"
    PURPOSE "Enables qBittorrent GUI. Unneeded for headless configuration."
    TYPE OPTIONAL
)

set_package_properties(Qt5DBus PROPERTIES
    DESCRIPTION "Qt5 module for inter-process communication over the D-Bus protocol"
    PURPOSE "Enables communication with other system components (e.g. notification service) via D-Bus. "
    TYPE RECOMMENDED
)

set(CMAKE_AUTOMOC True)
list(APPEND CMAKE_AUTORCC_OPTIONS -compress 9 -threshold 5)
if (APPLE)
    # Workaround CMake bug (autogen does not pass required parameters to moc)
    # Relevant issue: https://gitlab.kitware.com/cmake/cmake/issues/18041
    list(APPEND CMAKE_AUTOMOC_MOC_OPTIONS -DQ_OS_MACOS -DQ_OS_DARWIN)
endif ()

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

# defines
add_definitions(-DQT_DEPRECATED_WARNINGS)
add_definitions(-DQT_NO_CAST_TO_ASCII)
add_definitions(-DQT_USE_QSTRINGBUILDER)
add_definitions(-DQT_STRICT_ITERATORS)

if (CMAKE_BUILD_TYPE MATCHES "Debug")
    message(STATUS "Project is built in DEBUG mode.")
else()
    message(STATUS "Project is built in RELEASE mode.")
    message(STATUS "Disabling debug output.")
    add_definitions(-DQT_NO_DEBUG_OUTPUT)
endif()

configure_file(config.h.cmakein ${CMAKE_CURRENT_BINARY_DIR}/config.h)

add_subdirectory(app)
add_subdirectory(base)

if (Qt5Widgets_FOUND)
    add_subdirectory(gui)
endif ()

if (NOT DISABLE_WEBUI)
    add_subdirectory(webui)
endif()

=== src/app/CMakeLists.txt ===
add_executable(qBittorrent
# headers
application.h
applicationinstancemanager.h
cmdoptions.h
filelogger.h
qtlocalpeer/qtlocalpeer.h
upgrade.h

# sources
application.cpp
applicationinstancemanager.cpp
cmdoptions.cpp
filelogger.cpp
main.cpp
qtlocalpeer/qtlocalpeer.cpp
upgrade.cpp
)

target_include_directories(qBittorrent PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
target_link_libraries(qBittorrent
    PRIVATE
        qbt_base
)

set_target_properties(qBittorrent
    PROPERTIES
        AUTOUIC True
        AUTORCC True
        MACOSX_BUNDLE True
)

# translations
include(QbtTranslations)

file(GLOB QBT_TS_FILES ../lang/*.ts)
qbt_add_translations(qBittorrent QRC_FILE "../lang/lang.qrc" TS_FILES ${QBT_TS_FILES})

if (NOT DISABLE_WEBUI)
    file(GLOB QBT_WEBUI_TS_FILES ../webui/www/translations/*.ts)
    qbt_add_translations(qBittorrent QRC_FILE "../webui/www/translations/webui_translations.qrc" TS_FILES ${QBT_WEBUI_TS_FILES})
endif()

set(QBT_APP_RESOURCES
../icons/icons.qrc
../searchengine/searchengine.qrc
)

# With AUTORCC rcc is ran by cmake before language files are generated,
# and thus we call rcc explicitly
qt5_add_resources(QBT_APP_RESOURCE_SOURCE ${QBT_APP_RESOURCES})

if (WIN32)
    if (MINGW)
        target_sources(qBittorrent PRIVATE ../qbittorrent_mingw.rc)
    else (MINGW)
        target_sources(qBittorrent PRIVATE ../qbittorrent.rc)
    endif (MINGW)
    target_sources(qBittorrent PRIVATE ../qbittorrent.exe.manifest)
endif (WIN32)

if (STACKTRACE)
    if (UNIX)
        target_sources(qBittorrent PRIVATE stacktrace.h)
    else (UNIX)
        target_sources(qBittorrent PRIVATE stacktrace_win.h)
        if (Qt5Widgets_FOUND)
            target_sources(qBittorrent PRIVATE stacktracedialog.cpp stacktracedialog.h)
        endif (Qt5Widgets_FOUND)
        if (MSVC)
            if (NOT "${WINXXBITS}" STREQUAL "Win64")
                # i686 arch requires frame pointer preservation
                add_compile_options(-Oy-)
            endif (NOT "${WINXXBITS}" STREQUAL "Win64")
            add_compile_options(-Zi)
            target_link_libraries(qBittorrent PUBLIC dbghelp -DEBUG)
        else (MSVC)
            if (NOT "${WINXXBITS}" STREQUAL "Win64")
                add_compile_options(-fno-omit-frame-pointer)
            endif (NOT "${WINXXBITS}" STREQUAL "Win64")
            target_link_libraries(qBittorrent PUBLIC dbghelp -Wl,--export-all-symbols)
        endif (MSVC)
    endif (UNIX)
endif (STACKTRACE)

if (Qt5Widgets_FOUND)
    target_link_libraries(qBittorrent PRIVATE qbt_searchengine qbt_gui)
    set_target_properties(qBittorrent
        PROPERTIES
            OUTPUT_NAME qbittorrent
            WIN32_EXECUTABLE True
    )
else(Qt5Widgets_FOUND)
    set_target_properties(qBittorrent
        PROPERTIES
            OUTPUT_NAME qbittorrent-nox
    )
endif (Qt5Widgets_FOUND)

if (NOT DISABLE_WEBUI)
    target_link_libraries(qBittorrent PRIVATE qbt_webui)
endif()

# we have to include resources into the bundle
if (APPLE)
    set(OSX_RES_SRC_DIR "${qBittorrent_SOURCE_DIR}/dist/mac")
    list(APPEND QBT_APP_RESOURCE_SOURCE
        "${OSX_RES_SRC_DIR}/qt.conf"
        "${OSX_RES_SRC_DIR}/qBitTorrentDocument.icns"
        "${OSX_RES_SRC_DIR}/qbittorrent_mac.icns")
    set_source_files_properties(
        "${OSX_RES_SRC_DIR}/qt.conf"
        "${OSX_RES_SRC_DIR}/qBitTorrentDocument.icns"
        "${OSX_RES_SRC_DIR}/qbittorrent_mac.icns"
        PROPERTIES
            MACOSX_PACKAGE_LOCATION Resources)
    set(QT_TR_DIR "${qBittorrent_SOURCE_DIR}/dist/qt-translations")

    FILE(GLOB QT_TRANSLATIONS "${QT_TR_DIR}/qtbase_*.qm")
    list(APPEND QT_TRANSLATIONS
        ${QT_TR_DIR}/qt_fa.qm
        ${QT_TR_DIR}/qt_gl.qm
        ${QT_TR_DIR}/qt_lt.qm
        ${QT_TR_DIR}/qt_pt.qm
        ${QT_TR_DIR}/qt_sl.qm
        ${QT_TR_DIR}/qt_sv.qm
        ${QT_TR_DIR}/qt_zh_CN.qm
    )
    list(APPEND QBT_APP_RESOURCE_SOURCE ${QT_TRANSLATIONS})
    set_source_files_properties(${QT_TRANSLATIONS}
        PROPERTIES MACOSX_PACKAGE_LOCATION translations)
endif (APPLE)

target_sources(qBittorrent PRIVATE ${QBT_QM_FILES} ${QBT_APP_RESOURCE_SOURCE})

get_target_property(QBT_EXECUTABLE_NAME qBittorrent OUTPUT_NAME)

if (APPLE)
    set(qbt_BUNDLE_NAME ${QBT_EXECUTABLE_NAME})

# substitute @EXECUTABLE@ in dist/mac/Info.plist
    set(EXECUTABLE ${qbt_BUNDLE_NAME})
    configure_file(${qBittorrent_SOURCE_DIR}/dist/mac/Info.plist ${qBittorrent_BINARY_DIR}/dist/mac/Info.plist @ONLY)

    set_target_properties(qBittorrent PROPERTIES
        MACOSX_BUNDLE_BUNDLE_NAME "${qbt_BUNDLE_NAME}"
        MACOSX_BUNDLE_INFO_PLIST ${qBittorrent_BINARY_DIR}/dist/mac/Info.plist
    )
endif (APPLE)

# installation
install(TARGETS qBittorrent
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    BUNDLE  DESTINATION .
    COMPONENT runtime)

if (Qt5Widgets_FOUND AND APPLE)
    find_package(Qt5Svg REQUIRED)
    include(bundle)
endif (Qt5Widgets_FOUND AND APPLE)

=== src/base/CMakeLists.txt ===
find_package(ZLIB 1.2.5.2 REQUIRED)

add_library(qbt_base STATIC
# headers
bittorrent/addtorrentparams.h
bittorrent/cachestatus.h
bittorrent/downloadpriority.h
bittorrent/infohash.h
bittorrent/magneturi.h
bittorrent/peeraddress.h
bittorrent/peerinfo.h
bittorrent/private/bandwidthscheduler.h
bittorrent/private/filterparserthread.h
bittorrent/private/ltunderlyingtype.h
bittorrent/private/nativesessionextension.h
bittorrent/private/nativetorrentextension.h
bittorrent/private/portforwarderimpl.h
bittorrent/private/resumedatasavingmanager.h
bittorrent/private/speedmonitor.h
bittorrent/private/statistics.h
bittorrent/session.h
bittorrent/sessionstatus.h
bittorrent/torrentcreatorthread.h
bittorrent/torrenthandle.h
bittorrent/torrenthandleimpl.h
bittorrent/torrentinfo.h
bittorrent/tracker.h
bittorrent/trackerentry.h
http/connection.h
http/httperror.h
http/irequesthandler.h
http/requestparser.h
http/responsebuilder.h
http/responsegenerator.h
http/server.h
http/types.h
net/dnsupdater.h
net/downloadmanager.h
net/geoipmanager.h
net/portforwarder.h
net/private/downloadhandlerimpl.h
net/private/geoipdatabase.h
net/proxyconfigurationmanager.h
net/reverseresolution.h
net/smtp.h
private/profile_p.h
rss/private/rss_parser.h
rss/rss_article.h
rss/rss_autodownloader.h
rss/rss_autodownloadrule.h
rss/rss_feed.h
rss/rss_folder.h
rss/rss_item.h
rss/rss_session.h
search/searchdownloadhandler.h
search/searchhandler.h
search/searchpluginmanager.h
utils/bytearray.h
utils/foreignapps.h
utils/fs.h
utils/gzip.h
utils/io.h
utils/misc.h
utils/net.h
utils/password.h
utils/random.h
utils/string.h
utils/version.h
algorithm.h
asyncfilestorage.h
exceptions.h
filesystemwatcher.h
global.h
iconprovider.h
indexrange.h
logger.h
preferences.h
profile.h
scanfoldersmodel.h
settingsstorage.h
torrentfileguard.h
torrentfilter.h
tristatebool.h
types.h
unicodestrings.h

# sources
bittorrent/downloadpriority.cpp
bittorrent/infohash.cpp
bittorrent/magneturi.cpp
bittorrent/peeraddress.cpp
bittorrent/peerinfo.cpp
bittorrent/private/bandwidthscheduler.cpp
bittorrent/private/filterparserthread.cpp
bittorrent/private/nativesessionextension.cpp
bittorrent/private/nativetorrentextension.cpp
bittorrent/private/portforwarderimpl.cpp
bittorrent/private/resumedatasavingmanager.cpp
bittorrent/private/speedmonitor.cpp
bittorrent/private/statistics.cpp
bittorrent/session.cpp
bittorrent/torrentcreatorthread.cpp
bittorrent/torrenthandle.cpp
bittorrent/torrenthandleimpl.cpp
bittorrent/torrentinfo.cpp
bittorrent/tracker.cpp
bittorrent/trackerentry.cpp
http/connection.cpp
http/httperror.cpp
http/requestparser.cpp
http/responsebuilder.cpp
http/responsegenerator.cpp
http/server.cpp
net/dnsupdater.cpp
net/downloadmanager.cpp
net/geoipmanager.cpp
net/portforwarder.cpp
net/private/downloadhandlerimpl.cpp
net/private/geoipdatabase.cpp
net/proxyconfigurationmanager.cpp
net/reverseresolution.cpp
net/smtp.cpp
private/profile_p.cpp
rss/private/rss_parser.cpp
rss/rss_article.cpp
rss/rss_autodownloader.cpp
rss/rss_autodownloadrule.cpp
rss/rss_feed.cpp
rss/rss_folder.cpp
rss/rss_item.cpp
rss/rss_session.cpp
search/searchdownloadhandler.cpp
search/searchhandler.cpp
search/searchpluginmanager.cpp
utils/bytearray.cpp
utils/foreignapps.cpp
utils/fs.cpp
utils/gzip.cpp
utils/io.cpp
utils/misc.cpp
utils/net.cpp
utils/password.cpp
utils/random.cpp
utils/string.cpp
asyncfilestorage.cpp
exceptions.cpp
filesystemwatcher.cpp
iconprovider.cpp
logger.cpp
preferences.cpp
profile.cpp
scanfoldersmodel.cpp
settingsstorage.cpp
torrentfileguard.cpp
torrentfilter.cpp
tristatebool.cpp
)

target_link_libraries(qbt_base
    PRIVATE
        ZLIB::ZLIB
    PUBLIC
        LibtorrentRasterbar::torrent-rasterbar
        Qt5::Core Qt5::Network Qt5::Xml
)

if (Qt5Widgets_FOUND)
    target_link_libraries(qbt_base PUBLIC Qt5::Gui Qt5::Widgets)
endif (Qt5Widgets_FOUND)

if (Qt5DBus_FOUND)
    target_link_libraries(qbt_base PRIVATE Qt5::DBus)
endif ()

if (APPLE)
    find_library(IOKit_LIBRARY IOKit)
    find_library(Carbon_LIBRARY Carbon)
    find_library(AppKit_LIBRARY AppKit)
    target_link_libraries(qbt_base PRIVATE ${Carbon_LIBRARY} ${IOKit_LIBRARY} ${AppKit_LIBRARY})
endif (APPLE)

=== src/gui/CMakeLists.txt ===
set(CMAKE_AUTORCC True)
set(CMAKE_AUTOUIC True)

add_library(qbt_gui_headers INTERFACE)
target_include_directories(qbt_gui_headers INTERFACE ${CMAKE_CURRENT_SOURCE_DIR})

add_subdirectory(properties)
add_subdirectory(powermanagement)
add_subdirectory(rss)
add_subdirectory(search)

add_library(qbt_gui STATIC
# headers
aboutdialog.h
addnewtorrentdialog.h
advancedsettings.h
autoexpandabledialog.h
banlistoptionsdialog.h
categoryfiltermodel.h
categoryfilterproxymodel.h
categoryfilterwidget.h
cookiesdialog.h
cookiesmodel.h
deletionconfirmationdialog.h
downloadfromurldialog.h
executionlogwidget.h
fspathedit.h
hidabletabwidget.h
ipsubnetwhitelistoptionsdialog.h
lineedit.h
log/logfiltermodel.h
log/loglistview.h
log/logmodel.h
mainwindow.h
optionsdialog.h
previewlistdelegate.h
previewselectdialog.h
private/fspathedit_p.h
private/tristatewidget.h
raisedmessagebox.h
scanfoldersdelegate.h
shutdownconfirmdialog.h
speedlimitdialog.h
statsdialog.h
statusbar.h
tagfiltermodel.h
tagfilterproxymodel.h
tagfilterwidget.h
torrentcategorydialog.h
torrentcontentfiltermodel.h
torrentcontentmodel.h
torrentcontentmodelfile.h
torrentcontentmodelfolder.h
torrentcontentmodelitem.h
torrentcontenttreeview.h
torrentcreatordialog.h
trackerentriesdialog.h
transferlistdelegate.h
transferlistfilterswidget.h
transferlistmodel.h
transferlistsortmodel.h
transferlistwidget.h
tristateaction.h
uithememanager.h
updownratiodialog.h
utils.h

# sources
aboutdialog.cpp
addnewtorrentdialog.cpp
advancedsettings.cpp
autoexpandabledialog.cpp
banlistoptionsdialog.cpp
categoryfiltermodel.cpp
categoryfilterproxymodel.cpp
categoryfilterwidget.cpp
cookiesdialog.cpp
cookiesmodel.cpp
deletionconfirmationdialog.cpp
downloadfromurldialog.cpp
executionlogwidget.cpp
fspathedit.cpp
hidabletabwidget.cpp
ipsubnetwhitelistoptionsdialog.cpp
lineedit.cpp
log/logfiltermodel.cpp
log/loglistview.cpp
log/logmodel.cpp
mainwindow.cpp
optionsdialog.cpp
previewlistdelegate.cpp
previewselectdialog.cpp
private/fspathedit_p.cpp
private/tristatewidget.cpp
raisedmessagebox.cpp
scanfoldersdelegate.cpp
shutdownconfirmdialog.cpp
speedlimitdialog.cpp
statsdialog.cpp
statusbar.cpp
tagfiltermodel.cpp
tagfilterproxymodel.cpp
tagfilterwidget.cpp
torrentcategorydialog.cpp
torrentcontentfiltermodel.cpp
torrentcontentmodel.cpp
torrentcontentmodelfile.cpp
torrentcontentmodelfolder.cpp
torrentcontentmodelitem.cpp
torrentcontenttreeview.cpp
torrentcreatordialog.cpp
trackerentriesdialog.cpp
transferlistdelegate.cpp
transferlistfilterswidget.cpp
transferlistmodel.cpp
transferlistsortmodel.cpp
transferlistwidget.cpp
tristateaction.cpp
uithememanager.cpp
updownratiodialog.cpp
utils.cpp

# forms
aboutdialog.ui
addnewtorrentdialog.ui
autoexpandabledialog.ui
banlistoptionsdialog.ui
cookiesdialog.ui
deletionconfirmationdialog.ui
downloadfromurldialog.ui
executionlogwidget.ui
ipsubnetwhitelistoptionsdialog.ui
mainwindow.ui
optionsdialog.ui
previewselectdialog.ui
shutdownconfirmdialog.ui
speedlimitdialog.ui
statsdialog.ui
torrentcategorydialog.ui
torrentcreatordialog.ui
trackerentriesdialog.ui
updownratiodialog.ui
)

target_link_libraries(qbt_gui
    PRIVATE
        qbt_powermanagement qbt_rss qbt_properties qbt_searchengine
        qbt_base
)

target_include_directories(qbt_gui
    PRIVATE ../app
    PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}
)

if (UNIX AND Qt5DBus_FOUND)
   add_subdirectory(qtnotify)
   target_link_libraries(qbt_gui PRIVATE qbt_qtnotify)
endif (UNIX AND Qt5DBus_FOUND)

if (APPLE)
    target_sources(qbt_gui PRIVATE macutilities.h macutilities.mm)
    find_package(Qt5 ${requiredQtVersion} REQUIRED COMPONENTS MacExtras)
    target_link_libraries(qbt_gui PRIVATE Qt5::MacExtras objc)
endif (APPLE)

if (WIN32 OR APPLE)
    target_sources(qbt_gui PRIVATE programupdater.h programupdater.cpp)
endif (WIN32 OR APPLE)

qbt_target_sources(qBittorrent PRIVATE about.qrc)

if(WIN32)
    find_package(Qt5 ${requiredQtVersion} REQUIRED COMPONENTS WinExtras)
    target_link_libraries(qbt_gui PRIVATE Qt5::WinExtras)
endif(WIN32)

=== src/webui/CMakeLists.txt ===
add_library(qbt_webui STATIC
# headers
api/apicontroller.h
api/apierror.h
api/appcontroller.h
api/authcontroller.h
api/freediskspacechecker.h
api/isessionmanager.h
api/logcontroller.h
api/rsscontroller.h
api/searchcontroller.h
api/synccontroller.h
api/torrentscontroller.h
api/transfercontroller.h
api/serialize/serialize_torrent.h
webapplication.h
webui.h

# sources
api/apicontroller.cpp
api/apierror.cpp
api/appcontroller.cpp
api/authcontroller.cpp
api/freediskspacechecker.cpp
api/logcontroller.cpp
api/rsscontroller.cpp
api/searchcontroller.cpp
api/synccontroller.cpp
api/torrentscontroller.cpp
api/transfercontroller.cpp
api/serialize/serialize_torrent.cpp
webapplication.cpp
webui.cpp
)

qbt_target_sources(qBittorrent PRIVATE www/webui.qrc)

target_link_libraries(qbt_webui PUBLIC qbt_base)

=== src/gui/powermanagement/CMakeLists.txt ===
add_library(qbt_powermanagement STATIC
# headers
powermanagement.h

# sources
powermanagement.cpp
)

target_link_libraries(qbt_powermanagement PUBLIC Qt5::Core)
set_target_properties(qbt_powermanagement PROPERTIES AUTOUIC False AUTORCC False)
target_include_directories(qbt_powermanagement PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

if (UNIX AND Qt5DBus_FOUND)
    find_package(X11)
    if (X11_FOUND)
        target_sources(qbt_powermanagement PRIVATE powermanagement_x11.h powermanagement_x11.cpp)
        target_link_libraries(qbt_powermanagement PRIVATE Qt5::DBus)
    endif (X11_FOUND)
endif (UNIX AND Qt5DBus_FOUND)

if (WIN32)
    target_link_libraries(qbt_powermanagement PRIVATE PowrProf)
endif (WIN32)

=== src/gui/properties/CMakeLists.txt ===
add_library(qbt_properties STATIC
# headers
downloadedpiecesbar.h
peerlistdelegate.h
peerlistsortmodel.h
peerlistwidget.h
peersadditiondialog.h
pieceavailabilitybar.h
piecesbar.h
propertieswidget.h
proplistdelegate.h
proptabbar.h
speedplotview.h
speedwidget.h
trackerlistwidget.h
trackersadditiondialog.h

# sources
downloadedpiecesbar.cpp
peerlistdelegate.cpp
peerlistsortmodel.cpp
peerlistwidget.cpp
peersadditiondialog.cpp
pieceavailabilitybar.cpp
piecesbar.cpp
propertieswidget.cpp
proplistdelegate.cpp
proptabbar.cpp
speedplotview.cpp
speedwidget.cpp
trackerlistwidget.cpp
trackersadditiondialog.cpp

# forms
peersadditiondialog.ui
propertieswidget.ui
trackersadditiondialog.ui
)

target_link_libraries(qbt_properties
    PRIVATE
        qbt_gui_headers
    PUBLIC
        qbt_base Qt5::Widgets
)

target_include_directories(qbt_properties
    PRIVATE
        ${CMAKE_CURRENT_BINARY_DIR}
    PUBLIC
        ${CMAKE_CURRENT_SOURCE_DIR}
)

=== src/gui/qtnotify/CMakeLists.txt ===
add_library(qbt_qtnotify STATIC
# headers
notifications.h

# sources
notifications.cpp
)

set_target_properties(qbt_qtnotify PROPERTIES AUTOUIC False AUTORCC False)
target_link_libraries(qbt_qtnotify PUBLIC Qt5::DBus)
target_include_directories(qbt_qtnotify PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

=== src/gui/search/CMakeLists.txt ===
add_library(qbt_searchengine STATIC
# headers
pluginselectdialog.h
pluginsourcedialog.h
searchjobwidget.h
searchlistdelegate.h
searchsortmodel.h
searchwidget.h

# sources
pluginselectdialog.cpp
pluginsourcedialog.cpp
searchjobwidget.cpp
searchlistdelegate.cpp
searchsortmodel.cpp
searchwidget.cpp

# forms
pluginselectdialog.ui
pluginsourcedialog.ui
searchwidget.ui
)

set(QBT_SEARCHENGINE_RESOURCES
# search.qrc
)

target_link_libraries(qbt_searchengine
    PUBLIC
        qbt_base
    PRIVATE
        qbt_gui_headers
)

=== debian/changelog ===
qbittorrent (4.2.5-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * New upstream release.
    - Fixes crashes when download is deleted or complete.
      (Closes: #962645, #962716)

 -- Adrian Bunk <bunk@debian.org>  Mon, 15 Jun 2020 17:59:56 +0300

qbittorrent (4.2.4-1) unstable; urgency=medium

  * New upstream release (Closes: #946449). 
  * debian/control:
   - Switch dependency to python3 (Closes: #938311).
   - Bump Standards-Version to 4.5.0.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Thu, 23 Apr 2020 19:33:57 -0400

=== debian/control ===
Source: qbittorrent
Section: net
Priority: optional
Maintainer: Cristian Greco <cristian@debian.org>
Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
Build-Depends: debhelper (>= 10),
               dpkg-dev (>= 1.16.1),
               libtorrent-rasterbar-dev (>= 1.1.2),
               libboost-dev,
               libqt5svg5-dev,
               qtbase5-dev (>= 5.2.0),
               qttools5-dev-tools,
               zlib1g-dev
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/debian/qbittorrent.git
Vcs-Browser: https://salsa.debian.org/debian/qbittorrent
Homepage: http://www.qbittorrent.org/

Package: qbittorrent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         python3, geoip-database
Suggests: qbittorrent-dbg
Description: bittorrent client based on libtorrent-rasterbar with a Qt5 GUI
 BitTorrent client written in C++ and based on libtorrent-rasterbar with a Qt5
 user interface. qBittorrent is a feature rich but lightweight client that is
 very similar to uTorrent. Its main features are:
 .
  * Polished uTorrent-like user interface
  * Well integrated and extensible search engine
  * Remote control through a Web user interface
  * Vuze-compatible protocol encryption
  * uTorrent-compatible Peer eXchange (PeX)
  * DHT (trackerless) support
  * UPnP / NAT-PMP port forwarding
  * IPv6 compliant
  * RSS support with advanced download filters
  * Advanced control over torrent content and trackers
  * IP Filtering (eMule / Peer Guardian filters)
  * Torrents queueing and prioritizing
  * Good localization (~25 languages supported)
  * Unicode support

Package: qbittorrent-nox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: qbittorrent-dbg
Description: bittorrent client based on libtorrent-rasterbar (without X support)
 BitTorrent client written in C++ and based on libtorrent-rasterbar.
 qBittorrent-nox is a version of qBittorrent (Qt5 application) that does not
 require X and can be controlled via a WebUI, thus is more suitable for headless
 servers. It is a feature rich but lightweight client that is very similar to
 rTorrent. Its main features are:
 .
  * Remote control through a Web user interface
  * Vuze-compatible protocol encryption
  * uTorrent-compatible Peer eXchange (PeX)
  * DHT (trackerless) support
  * UPnP / NAT-PMP port forwarding
  * IPv6 compliant
  * Advanced control over torrent content and trackers
  * IP Filtering (eMule / Peer Guardian filters)
  * Torrents queueing and prioritizing
  * Good localization (~25 languages supported)
  * Unicode support

Package: qbittorrent-dbg
Architecture: any
Section: debug
Depends: qbittorrent (= ${binary:Version}) | qbittorrent-nox (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for qbittorrent and qbittorrent-nox
 BitTorrent client written in C++ and based on libtorrent-rasterbar with a Qt5
 user interface. qBittorrent is a feature rich but lightweight client that is
 very similar to uTorrent.
 .
 This package contains the debugging symbols for qbittorrent and
 qbittorrent-nox.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --without autoreconf

override_dh_auto_configure:
	dh_auto_configure --builddirectory build-nox -- --disable-gui \
		--with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
	dh_auto_configure --builddirectory build-gui -- \
		--with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	dh_auto_build --builddirectory build-nox
	dh_auto_build --builddirectory build-gui

override_dh_auto_install:
	sed -i '/STRIP/d' build-nox/src/Makefile
	sed -i '/STRIP/d' build-gui/src/Makefile
	dh_auto_install --builddirectory build-nox --destdir debian/qbittorrent-nox \
		-- INSTALL_ROOT=$(CURDIR)/debian/qbittorrent-nox
	dh_auto_install --builddirectory build-gui --destdir debian/qbittorrent \
		-- INSTALL_ROOT=$(CURDIR)/debian/qbittorrent

override_dh_auto_clean:
	dh_auto_clean --builddirectory build-nox
	dh_auto_clean --builddirectory build-gui

override_dh_strip:
	dh_strip -a --dbg-package=qbittorrent-dbg

## qbittorrent 4.3.1

=== debian/changelog ===
qbittorrent (4.3.1-0.1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX 19:
    - Allow progress bar styling from custom themes.
    - Allow adding torrents using “Paste” key sequence.
    - Add Latgalian translation.
    - Avoid settings being reset via WebAPI.
    - WEBUI: Fix the issue that IPv6 address can’t be banned.
    - Update .desktop shortcut file translations for Linux.
    - Various bug-fixes.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 25 Nov 2020 14:15:21 -0800

qbittorrent (4.3.0-0.1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX 19:
    - Many UI elements colors are themeable now.
    - Allow changing GUI icons from theme bundles.
    - Notify user when torrent moving finished.
    - Shortcut CTRL + I opens Statistics window.
    - Add RSS functionality in Web UI.
    - Drop “.unwanted folder” feature.
    - Expose libtorrent peer_turnover, max_concurrent_http_announces,
      no_connect_privileged_ports settings.
    - Various bug fixes.

  * Bump libtotorrent-rasterbar-dev BD to >= 1.2.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 20 Oct 2020 09:03:44 -0700

qbittorrent (4.2.5-0.1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX 19:
    - BUGFIX: Fix crash when torrent is deleted on limit reached (glassez)
    - BUGFIX: Register datatype properly (Chocobo1)
    - WEBUI: Add ability to send custom HTTP headers (Chocobo1)
    - WEBUI: Expand RSS related API (Sepro)

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 26 Apr 2020 07:30:00 -0700

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 Source: qbittorrent
 Section: net
 Priority: optional
-Maintainer: Cristian Greco <cristian@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Cristian Greco <cristian@debian.org>
 Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
 Build-Depends: debhelper (>= 10),
                dpkg-dev (>= 1.16.1),
-               libtorrent-rasterbar-dev (>= 1.1.2),
-               libboost-dev,
-               libqt5svg5-dev,
-               qtbase5-dev (>= 5.2.0),
-               qttools5-dev-tools,
-               zlib1g-dev
-Standards-Version: 4.5.0
+               libboost-dev (>= 1.40),
+               libqt5svg5-dev (>= 5.9.0),
+               libtorrent-rasterbar-dev (>= 1.2),
+               qtbase5-dev (>= 5.9.0),
+               qttools5-dev-tools (>= 5.9.0),
+               zlib1g-dev (>= 1.2.5.2)
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/debian/qbittorrent.git
 Vcs-Browser: https://salsa.debian.org/debian/qbittorrent
 Homepage: http://www.qbittorrent.org/
 
 Package: qbittorrent
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
-         python3, geoip-database
-Suggests: qbittorrent-dbg
+Depends: geoip-database, python3 (>= 3.3.0), ${misc:Depends}, ${shlibs:Depends}
 Description: bittorrent client based on libtorrent-rasterbar with a Qt5 GUI
  BitTorrent client written in C++ and based on libtorrent-rasterbar with a Qt5
  user interface. qBittorrent is a feature rich but lightweight client that is
@@ -43,7 +42,7 @@
 
 Package: qbittorrent-nox
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: qbittorrent-dbg
 Description: bittorrent client based on libtorrent-rasterbar (without X support)
  BitTorrent client written in C++ and based on libtorrent-rasterbar.
@@ -63,15 +62,3 @@
   * Torrents queueing and prioritizing
   * Good localization (~25 languages supported)
   * Unicode support
-
-Package: qbittorrent-dbg
-Architecture: any
-Section: debug
-Depends: qbittorrent (= ${binary:Version}) | qbittorrent-nox (= ${binary:Version}), ${misc:Depends}
-Description: debug symbols for qbittorrent and qbittorrent-nox
- BitTorrent client written in C++ and based on libtorrent-rasterbar with a Qt5
- user interface. qBittorrent is a feature rich but lightweight client that is
- very similar to uTorrent.
- .
- This package contains the debugging symbols for qbittorrent and
- qbittorrent-nox.

## qbittorrent 4.3.2

=== debian/changelog ===
qbittorrent (4.3.2-0.1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX 19:
    - FEATURE: Allow to add root folder to torrent content
    - FEATURE: "HTTPS tracker validation" option is available on all platforms
      with latest libtorrent
    - FEATURE: Option for supporting internationalized domain names (IDNs)
    - BUGFIX: Fix broken sorting on some columns
    - BUGFIX: Fix availability per file value
    - BUGFIX: Fix status of torrents without metadata
    - BUGFIX: Don't try to remove folders for a torrent without metadata
    - BUGFIX: Lift upper limit of "Max concurrent HTTP announces" option
    - BUGFIX: Add links to libtorrent documentation
    - BUGFIX: Move "embedded tracker" options to qbt section
    - BUGFIX: Properly handle "Append extension" option changing
    - BUGFIX: Correctly save paused torrent state
    - BUGFIX: Fix bug of "move storage job" can be performed multiple times
    - WEBUI: Add ability to use 'shift+delete' to delete torrents
    - WEBUI: Allow to attach tags while adding torrents
    - WEBUI: Bump version to 2.6.2
    - WEBUI: Remove unnecessary restriction on input length
    - OTHER: Drop support for building with libtorrent < 1.2.11

  * Bump minimum versions of build-deps up to those now in CMakeLists.txt.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 30 Dec 2020 08:56:12 -0800

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
 Build-Depends: debhelper (>= 10),
                dpkg-dev (>= 1.16.1),
-               libboost-dev (>= 1.40),
-               libqt5svg5-dev (>= 5.9.0),
-               libtorrent-rasterbar-dev (>= 1.2),
-               qtbase5-dev (>= 5.9.0),
-               qttools5-dev-tools (>= 5.9.0),
-               zlib1g-dev (>= 1.2.5.2)
+               libboost-dev (>= 1.65),
+               libqt5svg5-dev (>= 5.9.5),
+               libtorrent-rasterbar-dev (>= 1.2.11),
+               qtbase5-dev (>= 5.9.5),
+               qttools5-dev-tools (>= 5.9.5),
+               zlib1g-dev (>= 1.2.11)
 Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/debian/qbittorrent.git
 Vcs-Browser: https://salsa.debian.org/debian/qbittorrent

## qbittorrent 4.3.3

=== debian/changelog ===
qbittorrent (4.3.3-0.1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX 19:
    - FEATURE: New languages: Azerbaijani, Estonian
    - BUGFIX: Unify global speed dialogs for normal/alternative speeds (thalieht)
    - BUGFIX: Increase maximum global speed limits ~2 GiB/s (thalieht)
    - BUGFIX: Save fastresume when setting torrent speed limits (thalieht)
    - BUGFIX: Group several torrent options into one dialog (thalieht)
    - BUGFIX: Capitalize locale names (Chocobo1)
    - BUGFIX: Improve content file/folder names handling (glassez)
    - BUGFIX: Drop notification about move storage finished or failed (glassez)
    - BUGFIX: Reload "missing files" torrent instead of re-checking (glassez)
    - BUGFIX: Remember dialog sizes (Chocobo1)
    - BUGFIX: Improve detection of file extension string (Chocobo1)
    - WEBUI: Don't call non-existent elements (glassez)
    - WEBUI: Update "Keep top-level folder" in WebUI options (thalieht)
    - MACOS: QMake: Raise minimal macOS target version to 10.14 (glassez)
    - LINUX: Use legacy 'data' directory only as a fallback (lbilli)
    - OTHER: Bump project requirement to C++17 (Chocobo1)

  * Disable kfreebsd-detection.patch; it needs refreshing, but has no purpose
    on MX.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 20 Jan 2021 06:40:50 -0800

## qbittorrent 4.3.9

=== debian/changelog ===
qbittorrent (4.3.9-0.1~mx21+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 18 Nov 2021 15:25:53 -0800

qbittorrent (4.3.8-1) experimental; urgency=medium

  * New maintainer (Closes: #995077)
  * New upstream release (Closes: #972557)
  * Remove unneeded qbittorrent-dbg package (Closes: #876928)
  * Bump Standards-Version to 4.6.0 (No change)
  * Upgrade to debhelper-compat 13

 -- Christian Marillat <marillat@debian.org>  Thu, 30 Sep 2021 15:04:51 +0200

=== debian/control ===
Source: qbittorrent
Section: net
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
Homepage: http://www.qbittorrent.org/
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13),
               libboost-dev (>= 1.65),
               libqt5svg5-dev (>= 5.11),
               libtorrent-rasterbar-dev (>= 1.2.12),
               qtbase5-dev (>= 5.11),
               qttools5-dev-tools (>= 5.11),
               zlib1g-dev  (>= 1.2.11)

Package: qbittorrent
Architecture: any
Depends: geoip-database, ${misc:Depends}, ${shlibs:Depends}
Description: bittorrent client based on libtorrent-rasterbar with a Qt5 GUI
 BitTorrent client written in C++ and based on libtorrent-rasterbar with a
 Qt5 user interface. qBittorrent is a feature rich but lightweight client
 that is very similar to uTorrent. Its main features are:
 .
  * Polished uTorrent-like user interface
  * Well integrated and extensible search engine
  * Remote control through a Web user interface
  * Vuze-compatible protocol encryption
  * uTorrent-compatible Peer eXchange (PeX)
  * DHT (trackerless) support
  * UPnP / NAT-PMP port forwarding
  * IPv6 compliant
  * RSS support with advanced download filters
  * Advanced control over torrent content and trackers
  * IP Filtering (eMule / Peer Guardian filters)
  * Torrents queueing and prioritizing
  * Good localization (~25 languages supported)
  * Unicode support

Package: qbittorrent-nox
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: bittorrent client based on libtorrent-rasterbar (without X support)
 BitTorrent client written in C++ and based on libtorrent-rasterbar.
 qBittorrent-nox is a version of qBittorrent (Qt5 application) that does not
 require X and can be controlled via a WebUI, thus is more suitable for
 headless servers. It is a feature rich but lightweight client that is very
 similar to rTorrent. Its main features are:
 .
  * Remote control through a Web user interface
  * Vuze-compatible protocol encryption
  * uTorrent-compatible Peer eXchange (PeX)
  * DHT (trackerless) support
  * UPnP / NAT-PMP port forwarding
  * IPv6 compliant
  * Advanced control over torrent content and trackers
  * IP Filtering (eMule / Peer Guardian filters)
  * Torrents queueing and prioritizing
  * Good localization (~25 languages supported)
  * Unicode support

## qbittorrent 4.4.0

=== debian/changelog ===
qbittorrent (4.4.0-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 10 Jan 2022 11:54:45 -0800

qbittorrent (4.4.0-2) unstable; urgency=medium

  * Don't need to Depends on geoip-database package. It uses DB-IP database.
    (Closes: #1003421)
  * Should depends on libqt5sql5-sqlite. An experimental function has been
    added to store/load fastresume/torrent files in an SQLite database
    (Closes: #1003422)

 -- Christian Marillat <marillat@debian.org>  Mon, 10 Jan 2022 09:01:22 +0100

qbittorrent (4.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright

 -- Christian Marillat <marillat@debian.org>  Fri, 07 Jan 2022 09:53:51 +0100

qbittorrent (4.3.9-2) unstable; urgency=medium

  * Remove uptream hack for HDPI display related to Windows.

 -- Christian Marillat <marillat@debian.org>  Tue, 21 Dec 2021 15:53:46 +0100

qbittorrent (4.3.9-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Thu, 02 Dec 2021 15:23:02 +0100

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,19 @@
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
-Homepage: http://www.qbittorrent.org/
+Homepage: https://www.qbittorrent.org/
 Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13),
-               libboost-dev (>= 1.65),
-               libqt5svg5-dev (>= 5.11),
-               libtorrent-rasterbar-dev (>= 1.2.12),
-               qtbase5-dev (>= 5.11),
-               qttools5-dev-tools (>= 5.11),
-               zlib1g-dev  (>= 1.2.11)
+               libboost-dev,
+               libqt5svg5-dev,
+               libtorrent-rasterbar-dev (>= 1.1.2),
+               qtbase5-dev (>= 5.2.0),
+               qttools5-dev-tools,
+               zlib1g-dev
 
 Package: qbittorrent
 Architecture: any
-Depends: geoip-database, ${misc:Depends}, ${shlibs:Depends}
+Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
 Description: bittorrent client based on libtorrent-rasterbar with a Qt5 GUI
  BitTorrent client written in C++ and based on libtorrent-rasterbar with a
  Qt5 user interface. qBittorrent is a feature rich but lightweight client
@@ -38,7 +38,7 @@
 
 Package: qbittorrent-nox
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
 Description: bittorrent client based on libtorrent-rasterbar (without X support)
  BitTorrent client written in C++ and based on libtorrent-rasterbar.
  qBittorrent-nox is a version of qBittorrent (Qt5 application) that does not

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 DPKG_EXPORT_BUILDFLAGS = 1
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
 include /usr/share/dpkg/buildflags.mk
 
 %:
@@ -30,4 +31,4 @@
 	dh_auto_clean --builddirectory build-gui
 
 override_dh_strip:
-	dh_strip -a --dbg-package=qbittorrent-dbg
+	dh_strip --no-automatic-dbgsym
